Update a tag group
curl --request PATCH \
--url https://openapi.pleo.io/v1/tag-groups/{tagGroupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"tagAttributes": [
{
"id": "0f0e000-000d-0d00-000b-00db0d000fae",
"name": "<string>",
"displayOrder": 123,
"hidden": true
}
],
"archived": true
}
'import requests
url = "https://openapi.pleo.io/v1/tag-groups/{tagGroupId}"
payload = {
"name": "<string>",
"tagAttributes": [
{
"id": "0f0e000-000d-0d00-000b-00db0d000fae",
"name": "<string>",
"displayOrder": 123,
"hidden": True
}
],
"archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
tagAttributes: [
{
id: '0f0e000-000d-0d00-000b-00db0d000fae',
name: '<string>',
displayOrder: 123,
hidden: true
}
],
archived: true
})
};
fetch('https://openapi.pleo.io/v1/tag-groups/{tagGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0f0e000-000d-0d00-000b-00db0d000fae",
"name": "<string>",
"tagAttributes": [
{
"id": "0f0e000-000d-0d00-000b-00db0d000fae",
"name": "<string>",
"displayOrder": 123,
"hidden": true
}
],
"archived": true
}{
"statusCode": 401,
"error": "Forbidden",
"message": "user_scope_insufficient"
}{
"statusCode": 403,
"error": "Forbidden",
"message": "user_scope_insufficient"
}"route not found""Something went wrong. Please contact the administrator if problems persist."Tag Groups
Update a tag group
deprecated
PATCH
/
tag-groups
/
{tagGroupId}
Update a tag group
Authorizations
Open API Bearer token
Path Parameters
Unique UUID of the tag group.
Example:
"0f0e000-000d-0d00-000b-00db0d000fae"
Body
application/json
Response
Tag group has been updated
This is the internal pleo identifier of the tag group
Example:
"0f0e000-000d-0d00-000b-00db0d000fae"
This is the tag group name supplied on create
These are the attributes that define a tag in this tag group, i.e. the tag columns. Each tag column is included only once.
Show child attributes
Show child attributes
This flag specifies whether the tag group has been archived in the Pleo system or not
Was this page helpful?
⌘I